#include <stdlib.h>
#include <stdio.h>
#include <strings.h>

#define NB	(4<<20)
unsigned char buf[NB];

main(int argc, char **argv)
{
	int i,n,l;
	FILE *fp;

	if (argc<3) {
		printf("Use: %s <raw_tape_data_file> <VICE_file.tap>\n",argv[0]);
		exit(1); 
	}

	// Read raw file
	if((fp=fopen(argv[1],"rb"))==NULL) {perror("fopen, read"); exit(1);}
	n=fread(buf,1,NB,fp); 
	fclose(fp);
	// replace the first 20 bytes with a tape header
	strcpy(buf,"C64-TAPE-RAW");
	buf[12]=buf[13]=buf[14]=buf[15]=0;
	l=n-20;
	buf[16]=l&0xff;
	buf[17]=(l>>8)&0xff;
	buf[18]=(l>>16)&0xff;
	buf[19]=(l>>24)&0xff;
	// Write result
	if((fp=fopen(argv[2],"wb"))==NULL){perror("fopen,write"); exit(1);}
	fwrite(buf,1,n,fp);
	fclose(fp);
	printf("%s (%d bytes written)\n",argv[2],n);

}
