/*

`include "cpu6502_ts.v"

module main(
	input  CLKIN, 
	inout  [63:0]PIN,
);

cpu6502 core(	.PHI(CLKIN), .A(PIN[15:0]), .DO(PIN[23:16]), .DI(PIN[31:24]),
			.RW(PIN[32]), .RDY(PIN[37]), .SYNC(PIN[33]), .IRQ_(PIN[34]), .NMI_(PIN[35]),
			.RES_(PIN[36])
);

endmodule

*/

`include "tapefifo.v"

module main(
	input  CLKIN, 
	inout  [63:0]PIN,
);
	tapefifo tpf1 ( .clk(CLKIN), .rxd(PIN[0]), .txd(PIN[1]), 
					.cass_read(PIN[2]), .cass_write(PIN[3]) 
	);

endmodule
