#include <stdlib.h>
#include <stdio.h>

#define SIZE	(192*1024)
#define OFFS	(192*1024-16384)
unsigned char rom[SIZE];

main(int argc, char **argv)
{
	int i,j,k,d;
	unsigned char buf[8];
	FILE *fp;
	
	
	memset(rom,0xff,sizeof(rom));

	if ((fp=fopen(argv[1],"rb"))==NULL) exit(1);
	fread(&rom[0],1,SIZE,fp); fclose(fp);
	
	if ((fp=fopen("Info/basic-2-c000.901465-01.bin","rb"))==NULL) exit(1);
	fread(&rom[OFFS+0xc000-0xc000],1,4096,fp); fclose(fp);
	
	if ((fp=fopen("Info/basic-2-d000.901465-02.bin","rb"))==NULL) exit(1);
	fread(&rom[OFFS+0xd000-0xc000],1,4096,fp); fclose(fp);
	
	if ((fp=fopen("Info/edit-2-b.901474-01.bin","rb"))==NULL) exit(1);
	fread(&rom[OFFS+0xe000-0xc000],1,2048,fp); fclose(fp);
	
	if ((fp=fopen("Info/kernal-2.901465-03.bin","rb"))==NULL) exit(1);
	fread(&rom[OFFS+0xf000-0xc000],1,4096,fp); fclose(fp);
	
	if ((fp=fopen(argv[2],"wb"))==NULL) exit(1);
	fwrite(rom,1,SIZE,fp); fclose(fp);
	


}

